#include <Arduino.h>
#include <ESPAsyncWebServer.h>
#include <SPIFFS.h>
#include <WiFi.h>

const char *ssid = "stoenka";
const char *password = "topavem2020";

AsyncWebServer server(80);
AsyncEventSource events("/events");

void setupWifi() {
  Serial.println("Connecting to WiFi");
  WiFi.begin(ssid, password);

  while (WiFi.status() != WL_CONNECTED) {
    delay(1000);
    Serial.print(".");
  }
  Serial.println();
  Serial.print("Connected: ");
  Serial.println(WiFi.localIP());
  Serial.println();
}

void onConnect(AsyncEventSourceClient *client) {
  Serial.println("Client connected to events");
}

void setupServer() {

  if (!SPIFFS.begin(true)) {
    Serial.println("Failed to mount file system");
    return;
  }

  events.onConnect(onConnect);
  server.addHandler(&events);
  server.serveStatic("/", SPIFFS, "/").setDefaultFile("index.html");
  server.begin();

  Serial.println("Server running");
}

void setup() {
  Serial.begin(115200);

  setupWifi();
  setupServer();
}

int i = 0;

void loop() {
  i++;
  if (i > 100000) {
    i = 0;
    events.send("hello", "message", millis());
  }
}